---
title: Keyboard.unlock()
slug: Web/API/Keyboard/unlock
tags:
  - API
  - Keyboard API
  - Keyboard Lock
  - Method
  - Reference
  - keyboard
  - unLock()
---
<div>{{APIRef("Keyboard API")}}{{SeeCompatTable}}</div>

<p><span class="seoSummary">The <strong><code>unlock()</code></strong> method of the {{domxref("Keyboard")}} interface unlocks all keys captured by the {{domxref('Keyboard.lock()')}} method and returns synchronously. </span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">Keyboard.unlock()</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>{{jsxref('undefined')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Keyboard Map','#keyboard-interface','Keyboard')}}</td>
   <td>{{Spec2('Keyboard Map')}}</td>
   <td>Defines the <code>Keyboard</code> interface.</td>
  </tr>
  <tr>
   <td>{{SpecName('Keyboard Lock','#h-keyboard-unlock','unlock()')}}</td>
   <td>{{Spec2('Keyboard Lock')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Keyboard.unlock()")}}</p>
